%define patch	13

Name:		white_dune
Summary:	A graphical VRML97 editor and animation tool
Version:	0.28
Release:	%mkrel 1.pl%{patch}.1
Source:		http://129.69.35.12/dune/%{name}-%{version}pl%{patch}.tar.gz
Patch0:		white_dune_missing_includes.patch.bz2
Group:		Graphics
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	xlsfonts
BuildRequires:	lesstif-devel
BuildRequires:	mesaglu-devel
BuildRequires:	libxi-devel
BuildRequires:	libxmu-devel
URL:		http://www.csv.ica.uni-stuttgart.de/vrml/dune
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	GPLv2+

%description
The dune program is a graphical VRML97 editor and animation tool.
VRML97 (Virtual Reality Modelling Language) is the ISO standard for
displaying 3D data over the web. It has support for animation, realtime
interaction and multimedia (image, movie, sound). VRML97 can be written
by popular programs like maya, catia, 3D Studio MAX, cinema4D and others.
Dune can read VRML97 files, display and let the user change the
scenegraph/fields. Some documentation how to use dune is included.
Beside some support for the VRML200x style nurbs node, dune has only a few
3D Modelling features. For artistic work, the usage of a static 3D modeller
with VRML97 export features is recommended. Examples for free/lowcost static
3D modellers available under Linux are sced, ppmodeler or ac3d.
Dune can load and store x3d (next generation VRML xml format) files,
if configured to work with the nist.gov x3d translators.
Advanced features of dune like the usage of 3Drevelator shutterglases with
the commercial Linux XIG X11 Server (DX/platium) require recompilation of
the source package.

%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}pl%{patch}
%patch0 -p 1

%build
%configure --with-optimization --with-buginlesstif

rm Makefile
cd src && make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

install -s -m 755 bin/dune %{buildroot}%{_bindir}/dune
install -m 644 man/dune.1 %{buildroot}%{_mandir}/man1/dune.1


#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A graphical VRML97 editor and animation tool
Exec=%{_bindir}/dune
Icon=graphics_section
Terminal=false
Type=Application
Categories=Graphics;3DGraphics;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs
%{_bindir}/dune
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop


%changelog
* Wed Jan 09 2008 Adam Williamson <awilliamson@mandriva.com> 0.28-1.pl13.1mdv2008.1
+ Revision: 147065
- update to pl13 **security fix**

* Tue Jan 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.28-1.pl12.2mdv2008.1
+ Revision: 146734
- fix mesaglu-devel BR
- kill re-definition of %%buildroot on Pixel's request
- kill explicit icon extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 28 2007 Funda Wang <fundawang@mandriva.org> 0.28-1.pl12.2mdv2008.0
+ Revision: 72331
- fix menu entry comment

* Fri Jul 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.28-1.pl12.1mdv2008.0
+ Revision: 54052
- add some missing buildrequires
- try without parallel build again
- rebuild against new lesstif
- XDG menu
- install to %%_bindir not /usr/X11R6/bin
- improve versioning
- new patchlevel 12
- Import white_dune



* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.28-0.pl11.1mdk
- 0.28pl11

* Mon Dec 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.28-0.pl8.1mdk
- 0.28pl8

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.28-0.pl7.1mdk
- 0.28pl7

* Tue Nov 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.28-0.pl4.1mdk
- 0.28pl4

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.28-0.pl1.1mdk
- 0.28pl1

* Thu Jun 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.26-0.pl5.2mdk
- patch0: add missing includes

* Sat Dec 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.26-0.pl5.1mdk
- 0.26pl5

* Sun Dec 07 2003 Franck Villaume <fvill@freesurf.fr> 0.26-0.pl4.2mdk
- add libMesaGLU1-devel as BuildRequires
 
* Sat Dec 06 2003 Franck Villaume <fvill@freesurf.fr> 0.26-0.pl4.1mdk
- updated to 0.26pl4 stable version
- clean up a little bit the spec file
- add some BuildRequires

* Mon Jul 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.24-0.pl3.1mdk
- updated to 0.24pl3 stable version

* Thu May 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.23-0.pl6.1mdk
- updated to 0.23pl6 stable version

* Wed May 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.22-0.beta98.1mdk
- beta98

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.22-0.beta51.2mdk
- buildrequires

* Tue Apr 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.22-0.beta51.1mdk
- 0.22-0.beta51.1mdk

* Tue Mar 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.22-0.beta45.1mdk
- 0.22beta45

* Thu Mar 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.22-0.beta39.1mdk
- 0.22beta39

* Mon Feb 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.21-0.pl3.1mdk
- updated to 0.21pl3

* Tue Feb 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta196-1mdk
- 0.20-0.beta196

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta186.1mdk
- 0.20beta186

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta167.1mdk
- 0.20beta167

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta160.1mdk
- 0.20beta160

* Tue Dec 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta122.1mdk
- 0.20beta122

* Sun Sep 22 2002 Chris De Maeyer <ceppe@pandora.be> 0.20-0.beta51.1mdk
- 0.20beta51 release

* Tue Sep 3 2002 Chris De Maeyer <ceppe@pandora.be> 0.20-0.beta35.1mdk
- 0.20beta35 release

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.20-0.beta27.1mdk
- icon
- from Chris De Maeyer <ceppe@pandora.be> :
	- 0.20beta27 release
